### Method

# Panel SessionItem set_metadata

#### Declaration [src]

    void
    panel_session_item_set_metadata (
      PanelSessionItem* self,
      const char* key,
      const char* format,
      ...
    )

#### Description [src]

A variadic helper to set metadata.

The format should be identical to g_variant_new().

This method is not directly available to language bindings.

#### Parameters

`key`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`format`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  No description available.